## kpimtextedit 25.08.3

=== src/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
include(ECMAddTests)

ecm_add_test(textutilstest.cpp textutilstest.h
    TEST_NAME textutilstest
    NAME_PREFIX "kpimtextedit-"
    LINK_LIBRARIES Qt::Test Qt::Widgets KF6::Codecs KPim6::TextEdit KF6::XmlGui
)

=== debian/changelog ===
kpimtextedit (25.08.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.08.3).
  * Update build-deps and deps with the info from cmake.
  * Remove patches that have been applied upstream.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Nov 2025 21:22:27 +0100

=== debian/control ===
Source: kpimtextedit
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.14.0~),
               libkf6codecs-dev (>= 6.14.0~),
               libkf6config-dev (>= 6.14.0~),
               libkf6coreaddons-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6iconthemes-dev (>= 6.14.0~),
               libkf6kio-dev (>= 6.14.0~),
               libkf6sonnet-dev (>= 6.14.0~),
               libkf6syntaxhighlighting-dev (>= 6.14.0~),
               libkf6textwidgets-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.14.0~),
               libkf6xmlgui-dev (>= 6.14.0~),
               libktextaddons-dev (>= 1.6.0~),
               openbox,
               qt6-base-dev (>= 6.8.0~),
               xauth,
               xvfb,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/pim/kpimtextedit
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpimtextedit
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpimtextedit.git
Rules-Requires-Root: no

Package: libkpimtextedit-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: libkpimtextedit - arch independent files
 KPIMTextedit provides a textedit with PIM-specific features. It also provides
 so-called rich text builders which can convert the formatted text in the text
 edit to all kinds of markup, like HTML or BBCODE.
 .
 This package contains the arch independent files.

Package: libkpimtextedit-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkpim6textedit6 (= ${binary:Version}),
         libktextaddons-dev (>= 1.6.0~),
         ${misc:Depends},
Description: libkpimtextedit - development files
 KPIMTextedit provides a textedit with PIM-specific features. It also provides
 so-called rich text builders which can convert the formatted text in the text
 edit to all kinds of markup, like HTML or BBCODE.
 .
 This package contains the development files.

Package: libkpim6textedit6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libkpimtextedit-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library that provides a textedit with PIM-specific features
 KPIMTextedit provides a textedit with PIM-specific features. It also provides
 so-called rich text builders which can convert the formatted text in the text
 edit to all kinds of markup, like HTML or BBCODE.
 .
 This package is part of the KDE Development Platform PIM libraries module.

## kpimtextedit 25.08.3+p24.04+vunstable+git20251202.1128

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.6.40")

project(KPimTextEdit VERSION ${PIM_VERSION})

# ECM setup
set(KF_MIN_VERSION "6.19.0")
set(QT_REQUIRED_VERSION "6.9.0")
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMGenerateHeaders)

include(ECMSetupVersion)
file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    src/*.cpp
    src/*.h
)
set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()

include(ECMAddTests)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMCheckOutboundLicense)
include(ECMAddQch)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(
    QCH
    ${BUILD_QCH}
    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
)

set(KPIMTEXTEDIT_LIB_VERSION ${PIM_VERSION})

set(KTEXTADDONS_MIN_VERSION "1.8.82")

find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED COMPONENTS Widgets)

########### Find packages ###########
find_package(KF6Config ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6CoreAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Sonnet ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6SyntaxHighlighting ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6WidgetsAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6XmlGui ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Codecs ${KF_MIN_VERSION} CONFIG REQUIRED)

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

add_definitions(-DTRANSLATION_DOMAIN=\"libkpimtextedit6\")

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0  KF 6.20.0)

find_package(KF6TextEmoticonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)

find_package(KF6TextCustomEditor ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)

if(BUILD_TESTING)
    find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED COMPONENTS Test)
    add_definitions(-DBUILD_TESTING)
endif()

########### Targets ###########
add_subdirectory(src)

if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
file(
    GLOB_RECURSE ALL_SOURCE_FILES
    src/*.cpp
    src/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

=== debian/changelog ===
kpimtextedit (25.08.3+p24.04+vunstable+git20251202.1128-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 11:28:12 +0000

kpimtextedit (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:39:21 +1000

## kpimtextedit 25.08.3+p24.04+vunstable+git20251206.0823

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,9 +6,8 @@
 project(KPimTextEdit VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.19.0")
+set(KF_MIN_VERSION "6.20.0")
 set(QT_REQUIRED_VERSION "6.9.0")
-set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

=== debian/changelog ===
kpimtextedit (25.08.3+p24.04+vunstable+git20251206.0823-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 08:23:16 +0000

## kpimtextedit 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,14 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.40")
+set(PIM_VERSION "6.5.80")
 
 project(KPimTextEdit VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.20.0")
-set(QT_REQUIRED_VERSION "6.9.0")
+set(KF_MIN_VERSION "6.18.0")
+set(QT_REQUIRED_VERSION "6.8.0")
+set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -57,7 +58,7 @@
 
 set(KPIMTEXTEDIT_LIB_VERSION ${PIM_VERSION})
 
-set(KTEXTADDONS_MIN_VERSION "1.8.82")
+set(KTEXTADDONS_MIN_VERSION "1.8.0")
 
 find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED COMPONENTS Widgets)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6TextEdit")
ecm_setup_version(PROJECT VARIABLE_PREFIX KPIMTEXTEDIT
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kpimtextedit_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6TextEditConfigVersion.cmake"
    SOVERSION 6
)

if(BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

add_library(KPim6TextEdit)
add_library(KPim6::TextEdit ALIAS KPim6TextEdit)

target_sources(
    KPim6TextEdit
    PRIVATE
        composer-ng/richtextcomposer.cpp
        composer-ng/richtextcomposercontroler.cpp
        composer-ng/richtextcomposeractions.cpp
        composer-ng/klinkdialog.cpp
        composer-ng/nestedlisthelper.cpp
        composer-ng/richtextexternalcomposer.cpp
        composer-ng/richtextcomposerimages.cpp
        composer-ng/richtextcomposeremailquotedecorator.cpp
        composer-ng/richtextcomposeremailquotehighlighter.cpp
        composer-ng/richtextcomposerwidget.cpp
        composer-ng/richtextcomposer.h
        composer-ng/richtextcomposercontroler.h
        composer-ng/richtextcomposeractions.h
        composer-ng/klinkdialog_p.h
        composer-ng/nestedlisthelper_p.h
        composer-ng/richtextexternalcomposer.h
        composer-ng/richtextcomposerimages.h
        composer-ng/richtextcomposeremailquotedecorator.h
        composer-ng/richtextcomposeremailquotehighlighter.h
        composer-ng/richtextcomposerwidget.h
)

target_sources(
    KPim6TextEdit
    PRIVATE
        grantleebuilder/plaintextmarkupbuilder.cpp
        grantleebuilder/markupdirector.cpp
        grantleebuilder/texthtmlbuilder.cpp
        grantleebuilder/plaintextmarkupbuilder.h
        grantleebuilder/markupdirector.h
        grantleebuilder/texthtmlbuilder.h
)

target_sources(
    KPim6TextEdit
    PRIVATE
        inserthtmldialog.cpp
        insertimagedialog.cpp
        insertimagewidget.cpp
        inserttabledialog.cpp
        tableactionmenu.cpp
        tablecellformatdialog.cpp
        tableformatdialog.cpp
        textutils.cpp
        inserttablewidget.cpp
        inserthtmleditor.cpp
        inserthtmldialog.h
        insertimagedialog.h
        insertimagewidget.h
        inserttabledialog.h
        tableactionmenu.h
        tablecellformatdialog.h
        tableformatdialog.h
        textutils.h
        inserttablewidget.h
        inserthtmleditor.h
)

ecm_qt_declare_logging_category(KPim6TextEdit HEADER kpimtextedit_debug.h IDENTIFIER KPIMTEXTEDIT_LOG CATEGORY_NAME org.kde.pim.kpimtextedit
        DESCRIPTION "kpimtextedit (kpimtextedit)" EXPORT KPIMTEXTEDIT
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        KPim6TextEdit
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()
ecm_generate_export_header(KPim6TextEdit
    BASE_NAME kpimtextedit
    VERSION ${KPIMTEXTEDIT_VERSION}
    DEPRECATED_BASE_VERSION 0
    USE_VERSION_HEADER
)

target_include_directories(KPim6TextEdit INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/KPIMTextEdit;>")
target_include_directories(
    KPim6TextEdit
    PUBLIC
        "$<BUILD_INTERFACE:${KPimTextEdit_SOURCE_DIR}/src;${KPimTextEdit_BINARY_DIR}/src>"
)

target_link_libraries(
    KPim6TextEdit
    PUBLIC
        KF6::TextCustomEditor
    PRIVATE
        KF6::SonnetUi
        KF6::SonnetCore
        KF6::WidgetsAddons
        KF6::KIOWidgets
        KF6::XmlGui
        KF6::I18n
        KF6::SyntaxHighlighting
        KF6::Codecs
)

target_link_libraries(KPim6TextEdit PRIVATE KF6::TextEmoticonsWidgets)

set_target_properties(
    KPim6TextEdit
    PROPERTIES
        VERSION
            ${KPIMTEXTEDIT_VERSION}
        SOVERSION
            ${KPIMTEXTEDIT_SOVERSION}
        EXPORT_NAME
            PimTextEdit
)

install(TARGETS KPim6TextEdit EXPORT KPim6TextEditTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

########### Generate Headers ###############
ecm_generate_headers(KPimTextEdit_CamelCase_HEADERS
    HEADER_NAMES
    TextUtils

    PREFIX KPIMTextEdit
    REQUIRED_HEADERS kpimtextedit_HEADERS
)

ecm_generate_headers(KPimTextEdit_CamelCasegrantlee_HEADERS
    HEADER_NAMES
    PlainTextMarkupBuilder
    TextHTMLBuilder
    MarkupDirector
    AbstractMarkupBuilder
    PREFIX KPIMTextEdit
    REQUIRED_HEADERS kpimtextedit_HEADERS
    RELATIVE grantleebuilder
)

ecm_generate_headers(KPimTextEdit_Camelcasecomposerng_HEADERS
    HEADER_NAMES
    RichTextComposer
    RichTextComposerControler
    RichTextComposerImages
    RichTextExternalComposer
    RichTextComposerActions
    RichTextComposerEmailQuoteHighlighter
    RichTextComposerWidget
    REQUIRED_HEADERS KPimTextEdit_composerng_HEADERS
    PREFIX KPIMTextEdit
    RELATIVE composer-ng
)

########### install files ###############
set(KPimTextEdit_includes
    ${kpimtextedit_HEADERS}
    ${KPimTextEdit_composerng_HEADERS}
    ${KPimTextEdit_grantlee_HEADERS}
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/kpimtextedit_export.h
        ${KPimTextEdit_includes}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/KPIMTextEdit/kpimtextedit
    COMPONENT Devel
)

install(
    FILES
        ${KPimTextEdit_CamelCase_HEADERS}
        ${KPimTextEdit_Camelcasecomposerng_HEADERS}
        ${KPimTextEdit_CamelCasegrantlee_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/KPIMTextEdit/KPIMTextEdit/
    COMPONENT Devel
)

if(BUILD_TESTING)
    add_subdirectory(composer-ng/autotests)
    add_subdirectory(composer-ng/tests)
    add_subdirectory(grantleebuilder/autotests)
endif()

ecm_qt_install_logging_categories(EXPORT KPIMTEXTEDIT FILE kpimtextedit.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

if(BUILD_QCH)
    ecm_add_qch(
        KPim6TextEdit_QCH
        NAME KPimTextEdit
        BASE_NAME KPim6TextEdit
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
        ${KPimTextEdit_includes}
        LINK_QCHS
            Qt6Core_QCH
            Qt6Gui_QCH
            Qt6Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KPIMTEXTEDIT_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
    ecm_install_qch_export(
        TARGETS KPim6PimTextEdit_QCH
        FILE KPim6TextEditQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6TextEditQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimTextEditConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6TextEditConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6TextEditConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6TextEditConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(
    EXPORT KPim6TextEditTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim6TextEditTargets.cmake
    NAMESPACE KPim6::
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/kpimtextedit_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/KPIMTextEdit
    COMPONENT Devel
)

=== debian/changelog ===
kpimtextedit (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:54:46 +0000

kpimtextedit (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:17:07 +0000

kpimtextedit (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:51:39 +0100

## kpimtextedit 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.80")
+set(PIM_VERSION "6.5.90")
 
 project(KPimTextEdit VERSION ${PIM_VERSION})

=== debian/changelog ===
kpimtextedit (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:11:08 +0000

## kpimtextedit 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.90")
+set(PIM_VERSION "6.6.0")
 
 project(KPimTextEdit VERSION ${PIM_VERSION})

=== debian/changelog ===
kpimtextedit (25.12.0-0zneon+24.04+noble+release+build33) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 13:13:43 +0000

kpimtextedit (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:35:24 +1000

## kpimtextedit 25.12.0+p24.04+vstable+git20251208.1537

=== debian/changelog ===
kpimtextedit (25.12.0+p24.04+vstable+git20251208.1537-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 15:37:38 +0000

## kpimtextedit 25.12.0+p24.04+vstable+git20251222.0449

=== debian/changelog ===
kpimtextedit (25.12.0+p24.04+vstable+git20251222.0449-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 22 Dec 2025 04:49:03 +0000

## kpimtextedit 25.12.1

=== debian/changelog ===
kpimtextedit (25.12.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 20 Jan 2026 21:38:25 +0100

kpimtextedit (25.12.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 13 Jan 2026 12:46:50 +0100

kpimtextedit (25.08.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 03 Dec 2025 17:59:53 +0100

=== debian/control ===
--- 
+++ 
@@ -8,24 +8,24 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.14.0~),
-               libkf6codecs-dev (>= 6.14.0~),
-               libkf6config-dev (>= 6.14.0~),
-               libkf6coreaddons-dev (>= 6.14.0~),
-               libkf6i18n-dev (>= 6.14.0~),
-               libkf6iconthemes-dev (>= 6.14.0~),
-               libkf6kio-dev (>= 6.14.0~),
-               libkf6sonnet-dev (>= 6.14.0~),
-               libkf6syntaxhighlighting-dev (>= 6.14.0~),
+               extra-cmake-modules (>= 6.18.0~),
+               libkf6codecs-dev (>= 6.18.0~),
+               libkf6config-dev (>= 6.18.0~),
+               libkf6coreaddons-dev (>= 6.18.0~),
+               libkf6i18n-dev (>= 6.18.0~),
+               libkf6iconthemes-dev (>= 6.18.0~),
+               libkf6kio-dev (>= 6.18.0~),
+               libkf6sonnet-dev (>= 6.18.0~),
+               libkf6syntaxhighlighting-dev (>= 6.18.0~),
                libkf6textwidgets-dev (>= 6.3.0~),
-               libkf6widgetsaddons-dev (>= 6.14.0~),
-               libkf6xmlgui-dev (>= 6.14.0~),
-               libktextaddons-dev (>= 1.6.0~),
+               libkf6widgetsaddons-dev (>= 6.18.0~),
+               libkf6xmlgui-dev (>= 6.18.0~),
+               libktextaddons-dev (>= 1.8.0~),
                openbox,
                qt6-base-dev (>= 6.8.0~),
                xauth,
                xvfb,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://invent.kde.org/pim/kpimtextedit
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpimtextedit
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpimtextedit.git
@@ -47,7 +47,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkpim6textedit6 (= ${binary:Version}),
-         libktextaddons-dev (>= 1.6.0~),
+         libktextaddons-dev (>= 1.8.0~),
          ${misc:Depends},
 Description: libkpimtextedit - development files
  KPIMTextedit provides a textedit with PIM-specific features. It also provides

## kpimtextedit 25.12.1+p24.04+vstable+git20260106.1607

=== debian/changelog ===
kpimtextedit (25.12.1+p24.04+vstable+git20260106.1607-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 16:07:10 +0000

kpimtextedit (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:24:55 +1000

## kpimtextedit 25.12.1+p24.04+vstable+git20260111.0458

=== debian/changelog ===
kpimtextedit (25.12.1+p24.04+vstable+git20260111.0458-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 11 Jan 2026 04:58:27 +0000

## kpimtextedit 25.12.1+p24.04+vunstable+git20260204.0024

=== debian/changelog ===
kpimtextedit (25.12.1+p24.04+vunstable+git20260204.0024-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 04 Feb 2026 00:24:23 +0000

## kpimtextedit 25.12.2

=== debian/changelog ===
kpimtextedit (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 08 Feb 2026 16:42:21 +0000

kpimtextedit (25.12.1-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 22:23:22 +0000

kpimtextedit (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:10:47 +0000

kpimtextedit (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:29:07 +0000
